%global modulename stringify-entities

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-stringify-entities
Version:        1.3.2
Release:        1%{?dist}
Summary:        Encode HTML character references and character entities

License:        MIT
URL:            https://github.com/wooorm/stringify-entities#readme
Source0:        https://registry.npmjs.org/stringify-entities/-/stringify-entities-1.3.2.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(character-entities-html4) >= 1.0.0 with npmlib(character-entities-html4) < 2.0.0))
BuildRequires:  ((npmlib(character-entities-legacy) >= 1.0.0 with npmlib(character-entities-legacy) < 2.0.0))
BuildRequires:  ((npmlib(is-alphanumerical) >= 1.0.0 with npmlib(is-alphanumerical) < 2.0.0))
BuildRequires:  ((npmlib(is-hexadecimal) >= 1.0.0 with npmlib(is-hexadecimal) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Encode HTML character references and character entities

%package 1.3.2
Summary:        Encode HTML character references and character entities


%description 1.3.2
Encode HTML character references and character entities

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr dangerous.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc readme.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 1.3.2
%doc readme.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Tue Nov 27 2018 npm2srpm <dshea@redhat.com> - 1.3.2-1
- Package automatically generated by npm2srpm
